xquery version "3.1";

module namespace kmg-serial="http://mollenhauer-edition.de/ns/kmg-serial";

import module namespace bdn-utils="http://bdn-edition.de/ns/utils" at "utils.xqm";
import module namespace ifweb="http://bdn-edition.de/intermediate_format/ifweb" at "/db/apps/interformat/modules/intermediate_format/ifweb.xql";
import module namespace xml-utils="http://bdn-edition.de/portal/xml-utils" at "/db/apps/sade/modules/bdn/xml-utils.xqm ";
import module namespace bdn-odd="http://bdn-edition.de/ns/odd" at "schema.xqm";
import module namespace config="https://sade.textgrid.de/ns/config" at "/db/apps/sade/config.xqm";

declare namespace tei="http://www.tei-c.org/ns/1.0";

declare function kmg-serial:directoryHelper() {
    let $resources := bdn-utils:assure-dir-available("resources")
    let $edition := bdn-utils:assure-dir-available("edition")
    let $ifLocation := bdn-utils:assure-dir-available("if")
    return
        true()
};

declare function kmg-serial:inject-seriesStmt($doc, $log) {
    try {
            update replace $doc//tei:teiHeader//tei:seriesStmt
            with fn:doc($config:sade-data || "3qq81.xml")//*,
            bdn-utils:add-log-entry($log, "Injection of seriesStmt: Success."),
            $doc
        }
        catch * {
            bdn-utils:add-log-entry($log, "Injection of seriesStmt: Failed. Some information might not be displayed correctly."),
                $doc
        }
};

declare function kmg-serial:serialize-edition($doc) {
    let $filename := util:document-name($doc)
    let $log := bdn-utils:create-log("Mollenhauer-" || $filename)
    let $doc := kmg-serial:inject-seriesStmt($doc, $log)
        
    let $single := xml-utils:make-html-single-view($doc, $filename, $log)
    let $digital := xml-utils:make-html-digital-view($doc, $filename, $log)
    (: TODO: implement transformation for textual commentary :)
    let $commentary := () 
    return
        ($single, $digital)
};

declare function kmg-serial:serialize($uri) {
    let $prepare := kmg-serial:directoryHelper()
    let $doc := doc($config:sade-data || $uri)
    
    return
        if ( $uri = "3r8vz.xml" ) then
            let $odd := bdn-odd:main()
            return
                ()
        else if ( $uri = "3qq81.xml" ) then
            ()
        else
            kmg-serial:serialize-edition($doc)
};