<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:lido="http://www.lido-schema.org" xmlns:xs="http://www.w3.org/2001/XMLSchema" exclude-result-prefixes="xs" version="2.0">
    <xsl:template name="lidokmg" match="/">
        <div>
            <table class="lido">
                <caption>Informationen zum Werk</caption>
                <xsl:for-each select="//lido:titleSet">
                    <tr class="lido lido-title">
                        <td class="lido sp1">Titel</td>
                        <td class="lido sp2">
                            <xsl:value-of select="./lido:appellationValue"/>
                        </td>
                    </tr>
                </xsl:for-each>
                <xsl:for-each select="//lido:eventActor">
                    <tr class="lido lido-artist">
                        <td class="lido sp1">KünstlerIn</td>
                        <td class="lido sp2">
                            <a>
                                <xsl:attribute name="href">
                                    <xsl:value-of select="./lido:actorInRole/lido:actor/lido:actorID[1]"/>
                                </xsl:attribute>
                                <xsl:value-of select="./lido:displayActorInRole"/>
                            </a>
                        </td>
                    </tr>
                </xsl:for-each>
                <xsl:for-each select="//lido:eventDate">
                    <tr class="lido lido-year">
                        <td class="lido sp1">Entstehungsjahr</td>
                        <td class="lido sp2">
                            <xsl:value-of select="./lido:displayDate"/>
                        </td>
                    </tr>
                </xsl:for-each>
                <xsl:for-each select="//lido:eventPlace">
                    <tr class="lido lido-place">
                        <td class="lido sp1">Entstehungsort</td>
                        <td class="lido sp2">
                            <a>
                                <xsl:attribute name="href">
                                    <xsl:value-of select="./lido:place/lido:placeID"/>
                                </xsl:attribute>
                                <xsl:value-of select="./lido:displayPlace"/>
                            </a>
                        </td>
                    </tr>
                </xsl:for-each>
                <xsl:for-each select="//lido:objectMeasurementsSet">
                    <tr class="lido lido-measurement">
                        <td class="lido sp1">Maße</td>
                        <td class="lido sp2">
                            <xsl:value-of select="./lido:displayObjectMeasurements"/>
                        </td>
                    </tr>
                </xsl:for-each>
                <xsl:for-each select="//lido:eventMaterialsTech">
                    <tr class="lido lido-materials">
                        <td class="lido sp1">Technik/Material</td>
                        <td class="lido sp2">
                            <xsl:value-of select="./lido:displayMaterialsTech"/>
                        </td>
                    </tr>
                </xsl:for-each>
                <xsl:choose>
                    <xsl:when test="//lido:repositoryName/lido:legalBodyWeblink">
                        <xsl:for-each select="//lido:repositoryName">
                            <tr class="lido-repository">
                                <td class="lido sp1">Aufbewahrungsort</td>
                                <td class="lido sp2">
                                    <a>
                                        <xsl:attribute name="href">
                                            <xsl:value-of select="./lido:legalBodyWeblink"/>
                                        </xsl:attribute>
                                        <xsl:value-of select="./lido:legalBodyName/lido:appellationValue"/>
                                    </a>
                                </td>
                            </tr>
                        </xsl:for-each>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:for-each select="//lido:repositoryName">
                            <tr class="lido lido-repository">
                                <td class="lido sp1">Aufbewahrungsort</td>
                                <td class="lido sp2">
                                    <xsl:value-of select="./lido:legalBodyName/lido:appellationValue"/>
                                </td>
                            </tr>
                        </xsl:for-each>
                    </xsl:otherwise>
                </xsl:choose>                    
                <xsl:for-each select="//lido:workID">
                    <tr class="lido lido-ID">
                        <td class="lido sp1">Inventarnummer</td>
                        <td class="lido sp2">
                            <xsl:value-of select="."/>
                        </td>
                    </tr>
                </xsl:for-each>
                <xsl:choose>
                    <xsl:when test="count(//lido:objectID)&gt;1">
                        <tr class="lido lido-content">
                            <td class="lido sp1">Digitalisate</td>
                            <td class="lido sp2">
                                <xsl:for-each select="//lido:objectID">
                                    <a>
                                        <xsl:attribute name="href">
                                            <xsl:value-of select="."/>
                                        </xsl:attribute>
                                        <xsl:value-of select="."/>
                                    </a>
                                    <br/>
                                </xsl:for-each>
                            </td>
                        </tr>
                    </xsl:when>
                    <xsl:otherwise>
                        <tr class="lido-content">
                            <td class="lido sp1">Digitalisat</td>
                            <td class="lido sp2">
                                <xsl:for-each select="//lido:objectID">
                                    <a>
                                        <xsl:attribute name="href">
                                            <xsl:value-of select="."/>
                                        </xsl:attribute>
                                        <xsl:value-of select="."/>
                                    </a>
                                    <br/>
                                </xsl:for-each>
                            </td>
                        </tr>
                    </xsl:otherwise>
                </xsl:choose>
                <xsl:choose>
                    <xsl:when test="count(//lido:objectWebResource)&gt;1">
                        <tr class="lido lido-content">
                            <td class="lido sp1">Inhaltsangaben</td>
                            <td class="lido sp2">
                                <xsl:for-each select="//lido:objectWebResource">
                                    <a>
                                        <xsl:attribute name="href">
                                            <xsl:value-of select="."/>
                                        </xsl:attribute>
                                        <xsl:value-of select="."/>
                                    </a>
                                    <br/>
                                </xsl:for-each>
                            </td>
                        </tr>
                    </xsl:when>
                    <xsl:otherwise>
                        <tr class="lido lido-content">
                            <td class="lido sp1">Inhaltsangabe</td>
                            <td class="lido sp2">
                                <xsl:for-each select="//lido:objectWebResource">
                                    <a>
                                        <xsl:attribute name="href">
                                            <xsl:value-of select="."/>
                                        </xsl:attribute>
                                        <xsl:value-of select="."/>
                                    </a>
                                    <br/>
                                </xsl:for-each>
                            </td>
                        </tr>
                    </xsl:otherwise>
                </xsl:choose>
                <tr class="lido lido-desc">
                    <xsl:for-each select="//lido:objectDescriptionSet">
                        <td class="lido sp1">Eigene Beschreibung</td>
                        <td class="lido sp2">
                            <xsl:value-of select="./lido:descriptiveNoteValue"/>
                        </td>
                    </xsl:for-each>
                </tr>
            </table>
        </div>
    </xsl:template>
</xsl:stylesheet>